# ePHPic Autoloader

The `ePHPic Autoloader` is a simple yet powerful autoloader for PHP applications. It allows for the automatic loading of PHP classes based on a defined mapping and a specified base directory. This autoloader adheres to the PSR-4 standard, making it easy to integrate into modern PHP applications.

## Meta Data

| **Meta**               | **Details**                                   |
|------------------------|-----------------------------------------------|
| **Package**            | ePHPic Autoload                               |
| **Author**             | Sina Kuhestani                                |
| **Last Version**       | 1.0.0                                         |
| **PHP Versions**       | 8.0, 8.1, 8.2, 8.4                            |
| **Languages**          | PHP                                           |
| **License**            | MIT                                           |

## Releases

| **Version** | **Release Date** | **Status** | **Download** |
|-------------|------------------|------------|--------------|
| 1.0         | 2025 Jun 12      | Supported  | [link](https://code.ephpic.org/ephpic/autoload/src/v1.0)         |

## Features

- **Simple Class Mapping**: Easily map class names to file paths.
- **PSR-4 Compliance**: Supports the PSR-4 autoloading standard for PHP.
- **Flexible Base Directory**: Define a base directory for your application files.
- **Error Handling**: Gracefully handles missing class files without throwing exceptions.
- **Easy Integration**: Simple registration process to integrate with PHP's SPL autoloading.
